Package weka.gui.beans

# Interface TrainingSetListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `AbstractDataSink`, `Associator`, `AttributeSummarizer`, `ClassAssigner`, `Classifier`, `Clusterer`, `CrossValidationFoldMaker`, `DataVisualizer`, `Filter`, `Saver`, `ScatterPlotMatrix`, `TestSetMaker`, `TextViewer`, `TrainTestSplitMaker`

public interface TrainingSetListener extends EventListener
Interface to something that can accept and process training set events

Version:
  $Revision: 1.4 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`acceptTrainingSet(TrainingSetEvent e)`
Accept and process a training set

## Method Details

### acceptTrainingSet

void acceptTrainingSet(TrainingSetEvent e)
Accept and process a training set

Parameters:
  `e` - a `TrainingSetEvent` value